
/*identify the Entry Point  (_vec_reset is defined in file crt.s) */
ENTRY(_vec_reset)

/* specify the ADUC7000  */
MEMORY 
{
	/* flash	: ORIGIN = 0x00080000,          LENGTH = 62K		/* FLASH EPROM, the last 2K are used for the bootloader		*/	
	flash	: ORIGIN = 0x0,          LENGTH = 62K		/* FLASH EPROM, the last 2K are used for the bootloader		*/	
	ram	: ORIGIN = 0x00010000, LENGTH = 8K  	/* static RAM area	*/
}


/* define a global symbol _stack_end End of SRAM+1-4) */
_stack_end = 0x00011FFC;


/* now define the output sections  */
SECTIONS 
{
	. = 0;								/* set location counter to address zero  */
	.text :								/* collect all sections that should go into FLASH after startup  */ 
	{
		*(.startup)					/* Startup Section must be placed at 0x0 */
		*(.text)						/* all .text sections (code)  */
		*(.rodata)						/* all .rodata sections (constants, strings, etc.)  */
		*(.rodata*)						/* all .rodata* sections (constants, strings, etc.)  */
		*(.glue_7)						/* all .glue_7 sections  (no idea what these are) */
		*(.glue_7t)						/* all .glue_7t sections (no idea what these are) */
		_etext = .;						/* define a global symbol _etext just after the last code byte */
	} >flash							/* put all the above into FLASH */

	.data :								/* collect all initialized .data sections that go into RAM  */ 
	{
		_data = .;						/* create a global symbol marking the start of the .data section  */
		*(.data)						/* all .data sections  */
		*(.ramrun)						/* Section for functions which should be load to ram */
		_edata = .;						/* define a global symbol marking the end of the .data section  */
	} >ram AT >flash          			/* put all the above into RAM (but load the LMA initializer copy into FLASH)  */

	.bss :								/* collect all uninitialized .bss sections that go into RAM  */
	{
		_bss_start = .;					/* define a global symbol marking the start of the .bss section */
		*(.bss)							/* all .bss sections  */
	} >ram								/* put all the above in RAM (it will be cleared in the startup code */

	. = ALIGN(4);						/* advance location counter to the next 32-bit boundary */
	_bss_end = . ;						/* define a global symbol marking the end of the .bss section */
}
	_end = .;							/* define a global symbol marking the end of application RAM */
	
PROVIDE ( end = . );
